<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:portfolios="http://typo3.org/ns/CodingMs/Portfolios/ViewHelpers">
	<f:layout name="Default" />
	<f:section name="Main">
		<div class="portfolios-show">

			<div class="container">
				<div class="row">
					<div class="col-md-8">

						<h1 class="portfolio-title">{portfolio.title}</h1>
						<f:if condition="{portfolio.subTitle}">
							<h2 class="portfolio-sub-title">{portfolio.subTitle}</h2>
						</f:if>
						<f:if condition="{portfolio.description}">
							<div class="portfolio-description"><f:format.html>{portfolio.description}</f:format.html></div>
						</f:if>

						<dl class="dl-horizontal">
							<f:if condition="{portfolio.www}">
								<dt><f:translate key="tx_portfolios_label.www" /></dt>
								<dd><a href="{portfolio.www}" target="_blank">{portfolio.www}</a></dd>
							</f:if>
							<f:if condition="{portfolio.attribute1}">
								<dt><f:translate key="tx_portfolios_label.attribute1" /></dt>
								<dd>{portfolio.attribute1}</dd>
							</f:if>
							<f:if condition="{portfolio.attribute2}">
								<dt><f:translate key="tx_portfolios_label.attribute2" /></dt>
								<dd>{portfolio.attribute2}</dd>
							</f:if>
							<f:if condition="{portfolio.attribute3}">
								<dt><f:translate key="tx_portfolios_label.attribute3" /></dt>
								<dd>{portfolio.attribute3}</dd>
							</f:if>
							<f:if condition="{portfolio.attribute4}">
								<dt><f:translate key="tx_portfolios_label.attribute4" /></dt>
								<dd>{portfolio.attribute4}</dd>
							</f:if>
							<f:if condition="{f:count(subject: portfolio.tags)}">
								<dt><f:translate key="tx_portfolios_label.tags" /></dt>
								<dd class="portfolio-tags">
									<f:for each="{portfolio.tags}" as="tag">
										<span class="badge badge-{tag.variant}" title="{tag.description}" data-toggle="tooltip" data-placement="top">{tag.title}</span>
										<f:comment><!-- Tag image example
										<f:if condition="{tag.image}">
											<f:image src="{tag.image.uid}" treatIdAsReference="1" />
										</f:if>
										--></f:comment>
									</f:for>
								</dd>
							</f:if>
							<f:if condition="{f:count(subject: portfolio.categories)}">
								<dt><f:translate key="tx_portfolios_label.categories" /></dt>
								<dd class="portfolio-categories">
									<f:for each="{portfolio.categories}" as="category">
										<span class="badge badge-default">{category.title}</span>
									</f:for>
								</dd>
							</f:if>
							<f:if condition="{f:count(subject: portfolio.files)}">
								<dt><f:translate key="tx_portfolios_label.files" /></dt>
								<dd class="portfolio-files">
									<f:for each="{portfolio.files}" as="file">
										<a class="download" href="{file.originalResource.publicUrl}"
										   title="{file.originalResource.description}" target="_blank">
											<f:if condition="{file.originalResource.title}">
												<f:then>{file.originalResource.title}</f:then>
												<f:else>No title</f:else>
											</f:if>
										</a>
									</f:for>
								</dd>
							</f:if>
						</dl>

					</div>
					<div class="col-md-4">

						<div class="portfolio-images">
							<div class="portfolio-image-wrapper">
								<div class="portfolio-image">

									<f:if condition="{f:count(subject: portfolio.images)}">
										<f:then>
											<f:for each="{portfolio.images}" as="image" iteration="itemIteration">
												<f:if condition="{itemIteration.isFirst}">
													<f:image src="{image.uid}" treatIdAsReference="1"
															 maxWidth="{settings.list.default.image.width}"
															 maxHeight="{settings.list.default.image.height}"
															 alt="{portfolio.title}" title="{portfolio.title}"
															 class="img-fluid"/>
												</f:if>
											</f:for>
										</f:then>
										<f:else>
											<f:image src="{f:uri.resource(path: 'Images/no-image.png')}"
													 maxWidth="{settings.list.default.image.width}"
													 maxHeight="{settings.list.default.image.height}"
													 alt="{portfolio.title}" title="{portfolio.title}"
													 class="img-fluid"/>
										</f:else>
									</f:if>
								</div>
							</div>
						</div>

						<f:if condition="{settings.bookmarks.active} && {settings.pro}">
							<div class="portfolio-bookmarks">
								<portfolios:variable.set name="bookmarked" value="" />
								<f:if condition="{portfolios:variable.get(name: 'session.bookmarks.items.{portfolio.uid}', useRawKeys: 1)}">
									<portfolios:variable.set name="bookmarked" value="checked=\"checked\"" />
								</f:if>
								<label for="portfolio-bookmark-button_{portfolio.uid}" class="text-muted">
									<input type="checkbox" name="portfolio" id="portfolio-bookmark-button_{portfolio.uid}"
										   value="{portfolio.uid}" {bookmarked}
										   data-portfolio-bookmark-item-uid="{portfolio.uid}">
									<span><f:translate key="tx_portfolios_label.remind_portfolio" /></span>
								</label>
							</div>
						</f:if>

						<div class="portfolio-show-actions">

							<f:if condition="{settings.bookmarks.active}">
								<portfolios:variable.set name="bookmarksEnabled" value="disabled" />
								<f:if condition="{session.bookmarks.count} > 0">
									<portfolios:variable.set name="bookmarksEnabled" value="" />
								</f:if>
								<f:link.page pageUid="{settings.bookmarks.pageUid}"
											 class="btn btn-primary bookmarks-button {bookmarksEnabled}"
											 title="{f:translate(key: 'tx_portfolios_label.button_bookmark_title')}">
									<i class="fa fa-bookmark"></i>
									<span class="bookmarks-button-label"><f:translate key="tx_portfolios_label.button_bookmark_label" /></span>
									<span class="badge">
										<span class="bookmarks-item-count">{f:count(subject: session.bookmarks.items)}</span>
									</span>
								</f:link.page>
							</f:if>

							<f:if condition="{settings.pdf.active}">
								<f:link.action action="createPortfolioPdf"
											   controller="Pdf"
											   extensionName="PortfoliosPro"
											   arguments="{portfolio: portfolio}"
											   pluginName="Pdf"
											   pageType="1491899512"
											   target="_blank"
											   class="btn btn-primary pdf-single"
											   title="{f:translate(key: 'tx_portfolios_label.button_create_portfolio_pdf_title')}">
									<i class="fa fa-file-pdf-o" aria-hidden="true"></i>
									<span><f:translate key="tx_portfolios_label.button_create_portfolio_pdf_label" /></span>
								</f:link.action>
							</f:if>
						</div>

						<div class="portfolio-navigation">
							<f:if condition="{navigation.previous}">
								<f:then>
									<f:link.action action="show" title="{navigation.previousTitle}" class="btn btn-primary previous"
												   arguments="{portfolio: navigation.previous.uid}">
										<i class="fa fa-angle-left"></i>
									</f:link.action>
								</f:then>
								<f:else>
						<span class="btn btn-primary disabled previous">
							<i class="fa fa-angle-left disabled"></i>
						</span>
								</f:else>
							</f:if>
							<f:link.action action="list"
										   pageUid="{settings.list.pageUid}"
										   title="{f:translate(key: 'tx_portfolios_label.button_back_to_list_title')}"
										   class="btn btn-primary overview">
								<i class="fa fa-th"></i>
								<span><f:translate key="tx_portfolios_label.button_back_to_list_label"/></span>
							</f:link.action>
							<f:if condition="{navigation.next}">
								<f:then>
									<f:link.action action="show" title="{navigation.nextTitle}" class="btn btn-primary next"
												   arguments="{portfolio: navigation.next.uid}">
										<i class="fa fa-angle-right"></i>
									</f:link.action>
								</f:then>
								<f:else>
									<span class="btn btn-primary disabled next">
										<i class="fa fa-angle-right disabled"></i>
									</span>
								</f:else>
							</f:if>
						</div>

					</div>
				</div>
			</div>

			<f:if condition="{settings.show.relatedPortfolios}">
				<div class="related-portfolios">
					<f:if condition="{f:count(subject: relatedPortfolios)}">
						<f:then>
							<div class="related-portfolios-headline">
								<h2><f:translate key="tx_portfolios_label.related_portfolios_headline" /></h2>
							</div>
							<div class="related-portfolios-wrapper">
								<f:for each="{relatedPortfolios}" as="relatedPortfolio" iteration="relatedPortfolioIteration">
									<f:if condition="{relatedPortfolioIteration.cycle} <= {settings.show.relatedPortfoliosLimit}">
										<f:render partial="Portfolio/Show/RelatedPortfolio"
												  arguments="{portfolio: relatedPortfolio, settings: settings, session: session}"
												  section="Default" />
									</f:if>
								</f:for>
							</div>
						</f:then>
						<f:else>
							<div class="related-portfolios-headline alert alert-info">
								<h2><f:translate key="tx_portfolios_label.no_related_portfolios_available_headline" /></h2>
							</div>
						</f:else>
					</f:if>
				</div>
			</f:if>

		</div>
	</f:section>
</div>
